Rewrite browser_dbg_pretty-print-on-paused.js to use Task.spawn
This test is a little funky at the moment and I suspect it might have latent races that are contributing to ejpbruel's headaches in bug 859372.